TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: domenicomaria on February 21, 2023, 03:40:07 AM

Title: shaded vport options
Post by: domenicomaria on February 21, 2023, 03:40:07 AM
Is there a way to set the "shade plot" property and the "quality" property
in "shaded vport options"  in the plot window ?

maybe I should use one of the following functions?

vla-put-ShadePlot, vla-put-OlePlotQuality, vla-put-OLEQuality . . .
Title: Re: shaded vport options
Post by: VovKa on February 21, 2023, 05:35:00 AM

maybe I should use one of the following functions?

vla-put-ShadePlot

it depends on what value you want to set
Title: Re: shaded vport options
Post by: domenicomaria on February 21, 2023, 07:30:10 AM
Quote
it depends on what value you want to set

as displayed    and    maximum
Title: Re: shaded vport options
Post by: VovKa on February 21, 2023, 08:28:33 AM

as displayed

(entmod
  (vk_PutAss 0
        76
        (vk_RemoveAss 333
            (entget
              (vlax-vla-object->ename (vla-get-ActiveLayout (vla-get-ActiveDocument (vlax-get-acad-object))))
            )
        )
  )
)
Title: Re: shaded vport options
Post by: domenicomaria on February 21, 2023, 01:44:13 PM
where are vk_PutAss and vk_RemoveAss ?

and shaded vport quality?
Title: Re: shaded vport options
Post by: VovKa on February 21, 2023, 02:40:39 PM
where are vk_PutAss and vk_RemoveAss ?
these are the simple library functions
anyway, we can do it without them
Code: [Select]
(entmod
  (append (vl-remove-if (function (lambda (e) (or (= (car e) 76) (= (car e) 333))))
(entget (vlax-vla-object->ename
  (vla-get-ActiveLayout (vla-get-ActiveDocument (vlax-get-acad-object)))
)
)
  )
  '((76 . 0))
  )
)
Title: Re: shaded vport options
Post by: domenicomaria on February 21, 2023, 02:59:13 PM
ok

but why don't you use vla-put-ShadePlot ?
Title: Re: shaded vport options
Post by: VovKa on February 21, 2023, 03:31:16 PM
i cut this snippet from a bigger function
this is how i did it that time

does vla-put-ShadePlot work in model space?